Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Skype.OPERATING_MEDIA

    java.lang.Object
      java.lang.Enum<Skype.OPERATING_MEDIA>
          com.skype.api.Skype.OPERATING_MEDIA

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Skype.OPERATING_MEDIA>

Enclosing class:
  Skype

    public static enum Skype.OPERATING_MEDIA

extends java.lang.Enum<Skype.OPERATING_MEDIA>

Enum Constant Summary
`OM_3G`
`OM_4G`
`OM_FREE`
`OM_FREE_WIRELESS`
`OM_UNKNOWN`

Method Summary
`static Skype.OPERATING_MEDIA` | `fromString(java.lang.String s)`
`static Skype.OPERATING_MEDIA` | `get(int code)`
`int` | `getId()`
`static Skype.OPERATING_MEDIA` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Skype.OPERATING_MEDIA[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OM_UNKNOWN

    public static final Skype.OPERATING_MEDIA OM_UNKNOWN

### OM_FREE

    public static final Skype.OPERATING_MEDIA OM_FREE

### OM_FREE_WIRELESS

    public static final Skype.OPERATING_MEDIA OM_FREE_WIRELESS

### OM_3G

    public static final Skype.OPERATING_MEDIA OM_3G

### OM_4G

    public static final Skype.OPERATING_MEDIA OM_4G

Method Detail

### values

    public static Skype.OPERATING_MEDIA[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Skype.OPERATING_MEDIA c : Skype.OPERATING_MEDIA.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Skype.OPERATING_MEDIA valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Skype.OPERATING_MEDIA get(int code)

### fromString

    public static Skype.OPERATING_MEDIA fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.